#! /bin/bash

gcc -DHAVE_AV_CONFIG_H -I. -I"/c/ffmpeg" -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -I/usr/local/include  -std=c99 -fno-common -fomit-frame-pointer -g -Wdeclaration-after-statement -Wall -Wno-switch -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wno-pointer-sign -Wcast-qual -Wwrite-strings -Wundef -O3 -fno-math-errno -fno-tree-vectorize       -MMD -MF ffmpeg.d -MT ffmpeg.o  -c -o ffmpeg.o /c/ffmpeg/ffmpeg.c
touch .libs
gcc -L"/c/ffmpeg/build"/libavcodec -L"/c/ffmpeg/build"/libavdevice -L"/c/ffmpeg/build"/libavfilter -L"/c/ffmpeg/build"/libavformat -L"/c/ffmpeg/build"/libavutil -L"/c/ffmpeg/build"/libpostproc -L"/c/ffmpeg/build"/libswscale -L/usr/local/lib -Wl,--warn-common -Wl,--as-needed -Wl,-rpath-link,"/c/ffmpeg/build"/libpostproc -Wl,-rpath-link,"/c/ffmpeg/build"/libswscale -Wl,-rpath-link,"/c/ffmpeg/build"/libavfilter -Wl,-rpath-link,"/c/ffmpeg/build"/libavdevice -Wl,-rpath-link,"/c/ffmpeg/build"/libavformat -Wl,-rpath-link,"/c/ffmpeg/build"/libavcodec -Wl,-rpath-link,"/c/ffmpeg/build"/libavutil -Wl,-Bsymbolic -g -shared -o VVmpeg_g.dll ffmpeg.o cmdutils.o -lavdevice -lavformat -lavcodec -lavutil -lswscale -lm -lmp3lame -lm -lws2_32 -lvfw32 -Wl,--output-def,VVmpeg.def -Wl,--out-implib,ffmpeg.a
lib /machine:i386 /def:VVmpeg.def
cp -p VVmpeg_g.dll VVmpeg.dll
strip VVmpeg.dll